# 🔍 Reprompt - Repository Documentation Prompt Generator

[![PyPI Version](https://img.shields.io/pypi/v/reprompt)](https://pypi.org/project/reprompt/)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Python Versions](https://img.shields.io/pypi/pyversions/reprompt)](https://pypi.org/project/reprompt/)
[![Code Style: Black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

Automatically generate comprehensive documentation and prompts for any codebase using AI. Perfect for open-source contributors and commercial teams needing instant project understanding.

## Features

- 🚀 **Instant Repository Analysis** - Understand any codebase in minutes with prompts generated by reprompt
- 📄 **Multi-Format Output** - Generate Markdown, HTML, or JSON documentation
- 🏗️ **Architecture Visualization** - Auto-generated flowcharts and module diagrams prompts
- 🔍 **Smart Code Exploration** - Identify key entry points and dependencies
- 🤖 **Prompts** - Optimized GPT prompts for technical documentation

## Installation

```bash
pip install reprompt

For temporary usage (auto-cleanup after use):

pip install reprompt && reprompt --temp /path/to/repo && pip uninstall reprompt -y

Usage

CLI Interface

reprompt /path/to/repo [options]
Options:

--format=markdown/html/json - Output format (default: markdown)

--focus=core - Analyze only core modules

--temp - Auto-uninstall after use

License
MIT License - Free for open-source and commercial use. See LICENSE for details.

Contributing
We welcome contributions! Please read our Contribution Guidelines before submitting PRs.

Security
To report security vulnerabilities, please email repromptsquest@gmail.com. See our Security Policy for details.